[general]
short_name = demo
update = true
min_update_delay = 60
debug = false
logs_dir = /home/bitergia/logs
aliases_file = /home/bitergia/conf/aliases.json

[projects]
projects_file = /home/bitergia/conf/projects.json

[es_collection]
url = http://elasticsearch:9200

[es_enrichment]
url = http://elasticsearch:9200
autorefresh = true

[sortinghat]
host = mariadb
user = root
password =
database = demo_sh
load_orgs = true
orgs_file = /home/bitergia/conf/organizations.json
autoprofile = [github, pipermail, git]
matching = [email]
sleep_for = 100
bots_names = []
unaffiliated_group = Unknown
affiliate = true
strict_mapping = false
reset_on_load = false
identities_file = [/home/bitergia/conf/identities.yml]
identities_format = grimoirelab

[panels]
kibiter_time_from = now-5y
kibiter_default_index = git
kibiter_url = http://kibiter:5601
kibiter_version = 6.1.4-1
#gitlab-issues = true
#gitlab-merges = true

[phases]
collection = true
identities = true
enrichment = true
panels = true

#[bugzillarest]
#raw_index = bugzillarest_demo_raw
#enriched_index = bugzillarest_demo_enriched
#no-archive = true

#[confluence]
#no-archive = true
#raw_index = confluence_demo_raw
#enriched_index = confluence_demo_enriched

[git]
raw_index = git_demo_raw
enriched_index = git_demo_enriched
latest-items = true
studies = [enrich_demography:git, enrich_areas_of_code:git, enrich_onion:git]

[github]
api-token = <YOUR_API_TOKEN_WHERE>
raw_index = github_demo_raw
enriched_index = github_demo_enriched
sleep-for-rate = true
sleep-time = 300

#[gitlab:issue]
#api-token = <YOUR_API_TOKEN_HERE>
#raw_index = gitlab_issues_demo_raw
#enriched_index = gitlab_issues_demo_enriched
#no-archive = true
#enterprise-url = https://gitlab.gnome.org
#sleep-for-rate = true

#[gitlab:merge]
#api-token = <YOUR_API_TOKEN_HERE>
#raw_index = gitlab_merges_demo_raw
#enriched_index = gitlab_merges_demo_enriched
#no-archive = true
#enterprise-url = https://gitlab.gnome.org
#category = merge_request
#sleep-for-rate = true

#[jira]
#raw_index = jira_demo_raw
#enriched_index = jira_demo_enriched
#no-archive = true

#[pipermail]
#raw_index = pipermail_demo_raw
#enriched_index = pipermail_demo_enriched
#no-verify = true

#[mediawiki]
#raw_index = mediawiki_demo_raw
#enriched_index = mediawiki_demo_enriched
#no-archive = true

#[meetup]
#raw_index = meetup_demo_raw
#enriched_index = meetup_demo_enriched
#api-token = <YOUR_API_TOKEN_WHERE>
#no-archive = true
#sleep-for-rate = true
#sleep-time = "300"

#[stackexchange]
#raw_index = stackexchange_demo_raw
#enriched_index = stackexchange_demo_enriched
#api-token = <YOUR_API_TOKEN_WHERE>
#no-archive = true

#[slack]
#raw_index = slack_demo_raw
#enriched_index = slack_demo_enriched
#api-token = <YOUR_API_TOKEN_WHERE>
#no-archive = true

#[supybot]
#raw_index = supybot_demo_raw
#enriched_index = supybot_demo_enriched

#[twitter]
#raw_index = twitter_demo_raw
#enriched_index = twitter_demo_enriched
#api-token = <YOUR_API_TOKEN_WHERE>
#no-archive = true
#sleep-for-rate = true
#sleep-time = 300

## studies based on enriched indexes

[enrich_demography:git]

[enrich_areas_of_code:git]
in_index = git_demo_raw
out_index = git-aoc_demo_enriched

[enrich_onion:git]
in_index = git-aoc_demo_enriched
out_index = git-onion_demo_enriched
contribs_field = hash
